<meta name="description" content="{% if page.description %}{{ page.description }}{% else %}{{ site.description }}{% endif %}" />
    <link rel="shortcut icon" href="{{ site.url }}{{ site.baseurl }}{{ site.favicon }}" type="image/png" />
    <link rel="canonical" href="{{ site.url }}{% if site.baseurl %}{{ site.baseurl }}{% endif %}{{ page.url | remove_first: '/' }}" />
    <meta name="referrer" content="no-referrer-when-downgrade" />

    {% if page.content and page.current == 'post' or page.current == 'about' %}
        {% assign excerpt = page.content | strip_html | truncatewords: 50, "" %}
     {% endif %} <!--title below is coming from _includes/dynamic_title-->
    <meta property="og:site_name" content="{{ site.title }}" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="{% if title %}{{ title }} - {{ site.title }}{% elsif page.title %}{{ page.title }} - {{ site.title }}{% else %}{{ site.title }}{% endif %}" />
    <meta property="og:description" content="{% if excerpt %}{{ excerpt }}{% elsif page.description %}{{ page.description }}{% else %}{{ site.description }}{% endif %}" />
    <meta property="og:url" content="{{ site.url }}{% if site.baseurl %}{{ site.baseurl }}{% endif %}{{ page.url | remove_first: '/' }}" />
    <meta property="og:image" content="{{ site.url }}{{ site.baseurl }}{% if page.cover %}{{ page.cover }}{% else %}{{ site.cover }}{% endif %}" />
    <meta property="article:publisher" content="https://www.facebook.com/{{ site.facebook }}" />{% if excerpt %}
    <meta property="article:author" content="https://www.facebook.com/{{ site.facebook }}" />
    <meta property="article:published_time" content="{% if page.date %}{{ page.date | date_to_xmlschema }}{% elsif post.date %}{{ post.date | date_to_xmlschema }}{% endif %}" />
    <meta property="article:modified_time" content="{% if page.date %}{{ page.date | date_to_xmlschema }}{% elsif post.date %}{{ post.date | date_to_xmlschema }}{% endif %}" />{% endif %}{% if page.tags.size > 0 %}
    <meta property="article:tag" content="{{ page.tags | first | capitalizeall }}" />{% endif %}
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:title" content="{% if title %}{{ title }} - {{ site.title }}{% elsif page.title %}{{ page.title }} - {{ site.title }}{% else %}{{ site.title }}{% endif %}" />
    <meta name="twitter:description" content="{% if excerpt %}{{ excerpt }}{% elsif page.description %}{{ page.description }}{% else %}{{ site.description }}{% endif %}" />
    <meta name="twitter:url" content="{{ site.url }}{{ site.baseurl }}" />
    <meta name="twitter:image" content="{{ site.url }}{{ site.baseurl }}{% if page.cover %}{{ page.cover }}{% else %}{{ site.cover }}{% endif %}" />
    <meta name="twitter:label1" content="Written by" />
    <meta name="twitter:data1" content="{{ site.title }}" />{% if page.tags.size > 0 %}
    <meta name="twitter:label2" content="Filed under" />
    <meta name="twitter:data2" content="{{ page.tags | first | capitalizeall }}" />{% endif %}
    <meta name="twitter:site" content="@{{ site.twitter }}" />
    <meta name="twitter:creator" content="@{{ site.twitter }}" />{% if excerpt %}
    <meta property="og:image:width" content="1400" />
    <meta property="og:image:height" content="933" />{% else %}
    <meta property="og:image:width" content="2000" />
    <meta property="og:image:height" content="666" />{% endif %}

    <script type="application/ld+json">
{
    "@context": "https://schema.org",
    "@type": "Website",
    "publisher": {
        "@type": "Organization",
        "name": "{{ site.title }}",
        "logo": "{{ site.url }}{{ site.baseurl }}{{ site.logo }}"
    },
    "url": "{{ site.url }}{% if site.baseurl %}{{ site.baseurl }}{% endif %}{{ page.url | remove_first: '/' }}",
    "image": {
        "@type": "ImageObject",
        "url": "{{ site.url }}{{ site.baseurl }}{% if page.cover %}{{ page.cover }}{% else %}{{ site.cover }}{% endif %}",
        "width": 2000,
        "height": 666
    },
    "mainEntityOfPage": {
        "@type": "WebPage",
        "@id": "{{ site.url }}{% if site.baseurl %}{{ site.baseurl }}{% endif %}{{ page.url | remove_first: '/' }}"
    },
    "description": "{% if excerpt %}{{ excerpt }}{% elsif page.description %}{{ page.description }}{% else %}{{ site.description }}{% endif %}"
}
    </script>

    <!-- <script type="text/javascript" src="https://demo.ghost.io/public/ghost-sdk.min.js?v=724281a32e"></script>
    <script type="text/javascript">
    ghost.init({
    	clientId: "ghost-frontend",
    	clientSecret: "f84a07a72b17"
    });
    </script> -->

    <meta name="generator" content="Jekyll 3.6.2" />
    <link rel="alternate" type="application/rss+xml" title="{% if page.title %}{{ page.title }}{% else %}{{ site.title }}{% endif %}" href="{{ site.baseurl }}feed.xml" />
